<?xml version="1.0" encoding="UTF-8"?>
<xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:dsv_advanceshipmentnotificationmessage="http://edi.dsv.com/XML/DSV_AdvanceShipmentNotificationMessage_v1.xsd" xmlns:shipment="http://edi.dsv.com/XML/Shipment_v1.xsd" xmlns:sharedelements="http://edi.dsv.com/XML/SharedElements_v1.xsd" targetNamespace="http://edi.dsv.com/XML/DSV_AdvanceShipmentNotificationMessage_v1.xsd" elementFormDefault="qualified">
   <xs:import namespace="http://edi.dsv.com/XML/Shipment_v1.xsd" schemaLocation="Shipment_v1.xsd" />
   <xs:import namespace="http://edi.dsv.com/XML/SharedElements_v1.xsd" schemaLocation="SharedElements_v1.xsd" />
   <xs:element name="DSV_AdvanceShipmentNotificationMessage" type="dsv_advanceshipmentnotificationmessage:DSV_AdvanceShipmentNotificationMessage" />
   <xs:complexType name="DSV_AdvanceShipmentNotificationMessage">
      <xs:sequence>
         <xs:element name="Header" type="sharedelements:Header" />
         <xs:element name="MainShipment" type="shipment:Shipment" />
         <xs:element name="RelatedShipments" type="dsv_advanceshipmentnotificationmessage:SubShipmentList"  minOccurs="0" />
      </xs:sequence>
   </xs:complexType>
   <xs:complexType name="SubShipmentList">
      <xs:sequence>
         <xs:element name="RelatedShipment" type="dsv_advanceshipmentnotificationmessage:RelatedShipment" minOccurs="0" maxOccurs="unbounded" />
      </xs:sequence>
   </xs:complexType>
   <xs:complexType name="RelatedShipment">
      <xs:complexContent>
         <xs:extension base="shipment:Shipment">
            <xs:attribute name="Type" type="xs:string" use="optional"/>
         </xs:extension>
      </xs:complexContent>
   </xs:complexType>
</xs:schema>
